Math::Prime::Util::Entropy(3pm)

NAME
Math::Prime::Util::Entropy - Get a good random seed

VERSION
Version 0.73

SYNOPSIS

DESCRIPTION
Provides a single method to get a good seed if possible. This is a streamlined version of Crypt::Random::Seed, with ideas from Bytes::Random::Secure::Tiny.

  entropy_bytes
Takes a number of bytes "n" and returns either undef (no good seed available) or a binary string with good entropy.

We try in order:

   - the Win32 Crypto API
   - /dev/urandom
   - /dev/random
   - L<Crypt::Random::Seed>
   - L<Crypt::PRNG>

SEE ALSO
Math::Prime::Util Crypt::Random::Seed Bytes::Random::Secure Bytes::Random::Secure::Tiny Crypt::PRNG

AUTHORS
Dana Jacobsen <dana@acm.org>

COPYRIGHT
Copyright 2017 by Dana Jacobsen <dana@acm.org>

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.